This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146816 - Dell D600 (w/ Radeon) acpi suspend doesn't restart
Dell D600 (w/ Radeon) acpi suspend doesn't restart
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
OldNeedsRetesting bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 15:56 EST by don
Modified: 2015-01-04 17:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description don 2005-02-01 15:56:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041220 Fedora/1.7.5-2

Description of problem:
Same problem as described in bug # 137696, except the workaround&fix
there are specific to the X server. Problem occurs even if X is not
running, so either problem is actually in kernel, or else workaround
should be duplicated in kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. As described in #137696
2.
3.
    

Additional info:
Comment 1 Dave Jones 2005-07-15 15:46:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 don 2005-08-17 16:39:47 EDT
Updated to new kernel. System itself wakes up ok now, but touchpad doesn't move
pointer after wakeup. This does not appear to be a module that can be unloaded
and reloaded, so rather than open a new kernel bug, I'll piggyback that on this
entry.

Relevant part of dmesg startup says:

usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard on isa0060/serio0
ALPS Touchpad (Dualpoint) detected
  Disabling hardware tapping
input: AlpsPS/2 ALPS TouchPad on isa0060/serio1
Comment 3 don 2005-08-27 00:17:25 EDT
With further testing it appears that it is X that is causing the screen to come
on. If X isn't running the screen doesn't come on, so the kernel is still
lacking whatever fix X contains.
Comment 4 Sam W. 2005-09-24 13:16:52 EDT
fc4 (2.6.11-1.1369) shows the same system when using the suspend script from bug
# 137696.  Furthermore, touchpad/stick pointer won't move after a warm reboot,
either -- a cold reboot recovers it.  I suggest updating the version field to 'fc4'.
Comment 5 don 2005-10-20 21:00:59 EDT
Checked against FC4 (2.6.13-1.1532) also. Confirmed that if X server isn't
running, screen does not come back on. Marking as against FC4

Using modified suspend script:
#!/bin/bash
#rmmod snd_intel8x0m
#rmmod snd_intel8x0
#rmmod snd_ac97_codec
#rmmod ehci_hcd
#/usr/bin/chvt 1
/sbin/hwclock --adjust
if [ -n "`pidof -x dhclient`" ]; then
        dhclient -r
        echo mem > /sys/power/state
#       echo 3 >/proc/acpi/sleep
        dhclient
else
#       echo 3 >/proc/acpi/sleep
        echo mem > /sys/power/state
fi
#modprobe ehci_hcd
#modprobe snd_intel8x0 snd_intel8x0m
#/usr/bin/chvt 7
echo Woke up
/sbin/hwclock --hctosys
Comment 6 Dave Jones 2005-11-10 14:26:03 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 don 2005-12-10 01:45:34 EST
Tested with kernel 1644_FC4. Mousepad works ok after suspend, and system handles
multiple suspend cycles without problems now. However, that fix is still
requires the X server to be running. If the X server is not running at the time
of suspend, (doesn't work to start it later) the screen does not function after
wakeup and the system may even be locked up. Again, obviously the fix that was
put into the X server really belongs in the kernel. Incidently this is the newer
Dell with the Radeon video card, not the older one with nVidia.

Additionally, the following message appears in dmesg which seems a little
worrisome: 

...
ACPI: PCI interrupt for device 0000:00:1d.0 disabled
Back to C!
Debug: sleeping function called from invalid context at mm/slab.c:2486
in_atomic():0, irqs_disabled():1
 [<c0143f6c>] kmem_cache_alloc+0x40/0x56
 [<c0206a2e>] acpi_pci_link_set+0x3f/0x17f
 [<c0206f96>] irqrouter_resume+0x1e/0x3c
 [<c0239bca>] __sysdev_resume+0x11/0x6b
 [<c0239e88>] sysdev_resume+0x34/0x52
 [<c023de21>] device_power_up+0x5/0xa
 [<c01366e8>] suspend_enter+0x44/0x46
 [<c013664a>] suspend_prepare+0x63/0xbd
 [<c013675e>] enter_state+0x49/0x54
 [<c0136859>] state_store+0x81/0x8f
 [<c01367d8>] state_store+0x0/0x8f
 [<c0193eda>] subsys_attr_store+0x1e/0x22
 [<c01940e7>] flush_write_buffer+0x22/0x28
 [<c019413e>] sysfs_write_file+0x51/0x76
 [<c01940ed>] sysfs_write_file+0x0/0x76
 [<c0158ee6>] vfs_write+0xa2/0x15a
 [<c0159049>] sys_write+0x41/0x6a
 [<c0102edd>] syscall_call+0x7/0xb
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ
 11
...
Comment 8 Len Brown 2006-01-18 04:36:43 EST
> obviously the fix that was
> put into the X server really belongs in the kernel.

No.  The fix to video restore on S3 resume belongs in the BIOS.

Comment 9 Dave Jones 2006-02-03 01:43:44 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 don 2006-02-12 15:49:30 EST
Tested against another new kernel. If X server is not running the screen does
not come back on.
Comment 11 Dave Jones 2006-09-16 21:59:52 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 12 Dave Jones 2006-10-16 16:58:48 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 don 2006-12-01 18:38:25 EST
Tested against another new kernel. If X server is not running the screen does
not come back on. How about that.
Comment 14 Nigel Cunningham 2006-12-03 17:46:22 EST
To get the screen to come back on without X running, please try the userspace 
tools such as vbetool.  In the absence of proper BIOS support, they need to be 
run to save and restore the video chip's state.
Comment 15 Sam W. 2007-01-10 20:07:01 EST
Tested against a new FC6 kernel (2.6.18-1.2869.fc6).  In runlevel 3, screen does
not come back on after 'echo mem > /sys/power/state' and lid open.

The gnome-power-manager seems to do suspends painlessly in runlevel 5, so this
bug is no longer an issue for me.  I have not tested with vbetool.
Comment 16 petrosyan 2008-03-10 02:19:15 EDT
Fedora Core 5 and Fedora Core 6 are no longer maintained. Is this bug still
present in Fedora 8?
Comment 17 Sam W. 2008-03-10 10:31:36 EDT
gnome-power-manager continues to work painlessly under F7 and F8.  Wish I could
say exactly what had fixed it, but no luck digging that far back through the
history.
Comment 18 Jon Stanley 2008-03-31 14:31:30 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 19 Bug Zapper 2008-04-03 21:54:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 20 Bug Zapper 2008-05-06 11:28:49 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.